summaryrefslogtreecommitdiffstats
path: root/bin/toaster
diff options
context:
space:
mode:
authorElliot Smith <elliot.smith@intel.com>2015-12-09 19:56:35 -0800
committerRichard Purdie <richard.purdie@linuxfoundation.org>2015-12-14 23:12:44 +0000
commit2149ff805424692f9fde29618f2ae0eb99f710d2 (patch)
tree7c67d10c7f39d2e479a6ecfd39555060eb434c9e /bin/toaster
parent7ff1630574180e1895b90ecef1ea0caf51304446 (diff)
downloadbitbake-contrib-2149ff805424692f9fde29618f2ae0eb99f710d2.tar.gz
toaster: Check Django version against toaster-requirements.txt
Instead of hard-coding the required Django version in the start script, look it up from the toaster-requirements.txt file. [YOCTO #8364] Signed-off-by: Elliot Smith <elliot.smith@intel.com> Signed-off-by: Ed Bartosh <ed.bartosh@linux.intel.com> Signed-off-by: brian avery <avery.brian@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'bin/toaster')
-rwxr-xr-xbin/toaster10
1 files changed, 8 insertions, 2 deletions
diff --git a/bin/toaster b/bin/toaster
index e3c78675d..0862a3548 100755
--- a/bin/toaster
+++ b/bin/toaster
@@ -175,9 +175,15 @@ notify_chldexit() {
verify_prereq() {
# Verify prerequisites
+ regex="([0-9])\.([0-9])"
+ for line in `cat $BBBASEDIR/toaster-requirements.txt | grep Django` ; do
+ [[ `echo $line` =~ $regex ]]
+ required_major_version="${BASH_REMATCH[1]}"
+ required_minor_version="${BASH_REMATCH[2]}"
+ done
- if ! echo "import django; print (1,) == django.VERSION[0:1] and django.VERSION[1:2][0] in (8,)" | python 2>/dev/null | grep True >/dev/null; then
- printf "This program needs Django 1.8. Please install with\n\npip install django<=1.8.7\n"
+ if ! echo "import django; print ($required_major_version,) == django.VERSION[0:1] and django.VERSION[1:2][0] in ($required_minor_version,)" | python 2>/dev/null | grep True >/dev/null; then
+ printf "This program needs Django $required_major_version.$required_minor_version. Please install with\n\npip install -r $BBBASEDIR/toaster-requirements.txt\n"
return 2
fi